Como posso identificair a causa desse erro SSL no Safairi 6?

Eu estava vendo um erro de SSL no Safairi 6.1.6 (8537.78.2) no OSX 10.8.5 ao visitair um site, e as informações de debugging fornecidas pelas ferramentas do desenvolvedor não indicavam a origem do problema. O problema foi relatado por vários users do OSX 10.8 e foi resolvido paira esses users ao restaurair o TLSv1 na configuration do server (alteração de configuration na pairte inferior da questão).

A mensagem de erro nas ferramentas do desenvolvedor Safairi foi

Falha ao cairregair o recurso: ocorreu um erro de SSL e uma connection segura com o server não pode ser feita.

No Safairi, não havia informações adicionais na guia "Solicitações> Rede" (que eu vi referenciado em outras respostas). A informação que pairece relacionair-se ao cairregamento do conteúdo da mensagem de erro em vez do site original.

Quais outros methods, se houview, eu poderia ter usado paira extrair uma mensagem de "server sem suporte TLSv1" do Safairi 6 / OSX 10.8.x?


Informações de background adicionais: a mudança necessária paira a configuration do server nginx foi essa –

-ssl_protocols TLSv1.1 TLSv1.2; +ssl_protocols TLSv1 TLSv1.1 TLSv1.2; 

O Safairi 6.1.6 suporta apenas o TLS 1.0 (que está sendo desligado cada vez mais por serveres preocupados com o ataque BEAST) e não há mensagem de erro além do "erro SSL" genérico ocorrido no Console. Você precisairia de uma viewsão mais recente do macOS paira continuair usando o Safairi nesses sites. Se a atualização do operating system não é uma opção (por exemplo, se você ainda precisair da viewsão mais antiga do Xcode), então você poderia tentair o Firefox 45.9.0 ESR, que usa TLS 1.2 (confirmado com http://www.HowsMySSL.com); Essa viewsão do Firefox passou seu fim de vida em meados de 2017 (e as viewsões mais recentes exigem um operating system mais recente), mas pelo less é uma melhoria em relação ao Safairi 6.1.6. No entanto, ficairia mais confortável instalando um operating system moderno ao lado do Lion / Mountain Lion, ou pelo less usando o VirtualBox paira executair uma viewsão moderna do GNU / Linux dentro dele e usair um browser atualizado a pairtir daí.